require("init")
function love.load()

	music = love.audio.newSource("assets/song.ogg")
	music:setLooping(true)	
	love.audio.play(music)
	
	state = "mainscreen"
	
	-- Background Load
	bg1 = love.graphics.newImage("assets/bg1.jpg")
	bg2 = love.graphics.newImage("assets/bg2.jpg")
	bg3 = love.graphics.newImage("assets/bg3.jpg")


	backgroundimg = "bg1"

	mainscreen.load()
	countdown.load()
	gameloop.load()
	score.load()

end

function love.update(dt)
	-- Background Update
	
	if state == "mainscreen" then mainscreen.update(dt) end
	if state == "countdown" then countdown.update(dt) end
	if state == "gameloop" then gameloop.update(dt) end
	if state == "score" then score.update(dt) end


end

function love.draw()
	-- Background Draw
	if backgroundimg == "bg1"  then love.graphics.draw(bg1,0,0) end
	if backgroundimg == "bg2" then love.graphics.draw(bg2,0,0) end
	if backgroundimg == "bg3" then love.graphics.draw(bg3,0,0) end
	if backgroundimg == "bg4" then love.graphics.draw(bg4,0,0) end
	if backgroundimg == "bg5" then love.graphics.draw(bg5,0,0) end


	if state == "mainscreen" then mainscreen.draw() end
	if state == "countdown" then countdown.draw() end
	if state == "gameloop" then gameloop.draw() end
	if state == "score" then score.draw() end


end

function love.keypressed(key)
	if state == "mainscreen" then mainscreen.keypressed(key) end
	if state == "gameloop" then gameloop.keypressed(key) end
	if state == "score" then score.keypressed(key) end
end

function love.keyreleased(key)

end

function love.mousepressed(button, x, y)

end

function love.mousereleased(button, x, y)

end

function love.quit()
	print("Thanks for playing!")
	print("EMAIL: j.horne2796@gmail.com")
end
