
gameloop = {}

function gameloop.load()
	-- PLAYER STATS
	player = {}
	player.x, player.y = 10, 73*3
	player.score = 0
	player.level = 1
	img = love.graphics.newImage("assets/player.png")

	timer = 0
	cookieNum = 0
	cookie = {}
	-- Cookie Stats
	c = love.graphics.newImage("assets/cookie.png")
	r=0
end

function gameloop.update(dt)
	for i,v in ipairs(cookie) do
		if cookie[i].x < player.x+62 and cookie[i].y == player.y then
			if cookie[i].dead == false then player.score = player.score + 100 end
			cookie[i].dead = true
		end
	end
	-- timer handles
	if timer == player.level*100 and player.level == 1 then 
		cookieNum = cookieNum + 1
		if cookieNum == 20 then
			player.level = 2
			cookieNum = 0
		end
		createCookie(cookieNum) 
		timer = 0
	end
	if timer == player.level*50 and player.level == 2 then 
		cookieNum = cookieNum + 1
		if cookieNum == 30 then
			player.level = 3
			cookieNum = 0
			backgroundimg = "bg2"
		end
		createCookie(cookieNum) 
		timer = 0
	end
	if timer == player.level*20 and player.level == 3 then 
		cookieNum = cookieNum + 1
		if cookieNum == 50 then
			player.level = 4
			cookieNum = 0
			backgroundimg = "bg3"
		end
		createCookie(cookieNum) 
		timer = 0
	end
	if timer == player.level*5 and player.level == 4 then 
		cookieNum = cookieNum + 1
		if cookieNum == 100 then
			state = "score"
			cookieNum = 0
		end
		createCookie(cookieNum) 
		timer = 0
	end

	timer = timer + 1
	for i,v in ipairs(cookie) do
		cookie[i].x = cookie[i].x - (cookie[i].s*dt)
	end
	r=r+.7
end

function gameloop.draw()
	love.graphics.print("Score: " .. player.score, 700, 20, 0, 2)
	love.graphics.draw(img, player.x, player.y)
	-- draw cookies
	for i,v in ipairs(cookie) do
		if cookie[i].dead == false then
			love.graphics.draw(c, cookie[i].x, cookie[i].y+32,math.rad(r),1,1,32/2,32/2)

		end
	end

	love.graphics.print("Round: " .. player.level, 350, 20, 0, 2)
end

function gameloop.keypressed(key)
	if key == "up" and player.y > 1 then player.y = player.y - 73 end
	if key == "down" and player.y < 511  then player.y = player.y + 73 end
end

function createCookie(cc)
	cookie[cc] = {}
	cookie[cc].x = 1000
	cookie[cc].y = math.random(1,9)*73
	cookie[cc].dead = false
	if player.level == 1 then cookie[cc].s = 80 end
	if player.level == 2 then cookie[cc].s = 150 end
	if player.level == 3 then cookie[cc].s = 270 end
	if player.level == 4 then cookie[cc].s = 300 end
end


